<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:if="http://projectmallard.org/if/1.0/" xmlns:its="http://www.w3.org/2005/11/its" type="topic" style="ui" version="1.0 if/1.0" id="status-icons" xml:lang="lt">

  <info>
    <its:rules xmlns:xlink="http://www.w3.org/1999/xlink" version="1.0" xlink:type="simple" xlink:href="gnome-help.its"/>

    <link type="guide" xref="shell-overview#apps"/>

    <!--
    Recommended statuses: stub incomplete draft outdated review candidate final
    -->
    <revision version="gnome:40" date="2021-03-12" status="candidate"/>
    <!--
    FIXME: I'm tentatively marking this final for GNOME 40, because it's at
    least no longer incorrect. But here's a lot to improve:

    * I'm not super happy with the "Other" catchall section at the end, but I also
      don't want to add lots of singleton sections. Tweak the presentation.

    * gnome-shell references network-wireless-disconnected but it doesn't exist:
      https://gitlab.gnome.org/GNOME/gnome-shell/-/issues/3827

    * The icons for disconnected states might change:
      https://gitlab.gnome.org/GNOME/adwaita-icon-theme/-/issues/102

    * topbar-audio-volume-overamplified: Write docs on overamplification:
      https://gitlab.gnome.org/GNOME/gnome-user-docs/-/issues/117

    * Write docs on setting mic sensitivity, and link in a learn more item:
      https://gitlab.gnome.org/GNOME/gnome-user-docs/-/issues/116

    * topbar-network-wireless-connected: We're super handwavy about when this is
      used. We could use some docs on ad hoc networks.

    * topbar-screen-shared: We have no docs on the screen share portal:
      https://gitlab.gnome.org/GNOME/gnome-user-docs/-/issues/118

    * topbar-thunderbolt-acquiring: We have no docs on Thunderbolt:
      https://gitlab.gnome.org/GNOME/gnome-user-docs/-/issues/119
    -->

    <credit type="author copyright">
      <name>Monica Kochofar</name>
      <email>monicakochofar@gmail.com</email>
      <years>2012</years>
    </credit>
    <credit type="author copyright">
      <name>Shaun McCance</name>
      <email>shaunm@gnome.org</email>
      <years>2021</years>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="legal.xml"/>

    <desc>Explains the meanings of the icons located on the right of the top bar.</desc>
  </info>

  <title>What do the icons in the top bar mean?</title>

<p>This page explains the meaning of icons located on the top right corner of the screen. More specifically, the different variations of the icons provided by the system are described.</p>

<links type="section"/>


<section id="universalicons">
<title>Accessibility icons</title>

<table shade="rows">
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-accessibility.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-accessibility.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>Allows you to quickly toggle various accessibility settings.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-pointer.svg"/>
        </if:when>
        <media src="figures/topbar-pointer.svg"/>
      </if:choose>
    </td>
    <td><p>Indicates the type of click that will happen when using Hover Click.</p></td>
  </tr>
</table>

<list style="compact">
  <item><p><link xref="a11y">Learn more about accessibility.</link></p></item>
  <item><p><link xref="a11y-dwellclick">Learn more about Hover Click.</link></p></item>
</list>
</section>


<section id="audioicons">
<title>Audio icons</title>

<table shade="rows">
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-audio-volume.svg"/>
        </if:when>
        <media src="figures/topbar-audio-volume.svg"/>
      </if:choose>
    </td>
    <td><p>Indicates the volume of the speakers or headphones.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-audio-volume-muted.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-audio-volume-muted.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>The speakers or headphones are muted.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-microphone-sensitivity.svg"/>
        </if:when>
        <media src="figures/topbar-microphone-sensitivity.svg"/>
      </if:choose>
    </td>
    <td><p>Indicates the sensitivity of the microphone.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-microphone-sensitivity-muted.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-microphone-sensitivity-muted.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>The microphone is muted.</p></td>
  </tr>
</table>

<list style="compact">
  <item><p><link xref="sound-volume">Learn more about sound volume.</link></p></item>
</list>
</section>


<section id="batteryicons">
<title>Battery icons</title>

<table shade="rows">
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-battery-charging.svg"/>
        </if:when>
        <media src="figures/topbar-battery-charging.svg"/>
      </if:choose>
    </td>
    <td><p>Indicates the battery level while the battery is charging.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-battery-level-100-charged.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-battery-level-100-charged.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>The battery is fully charged and charging.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-battery-discharging.svg"/>
        </if:when>
        <media src="figures/topbar-battery-discharging.svg"/>
      </if:choose>
    </td>
    <td><p>Indicates the battery level while the battery is not charging.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-battery-level-100.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-battery-level-100.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>The battery is fully charged and not charging.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-system-shutdown.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-system-shutdown.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>Power icon displayed on systems without a battery.</p></td>
  </tr>
</table>

<list style="compact">
  <item><p><link xref="power-status">Learn more about battery status.</link></p></item>
</list>
</section>


<section id="bluetoothicons">
<title>Bluetooth icons</title>

<table shade="rows">
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-airplane-mode.svg"/>
        </if:when>
        <media src="figures/topbar-airplane-mode.svg"/>
      </if:choose>
    </td>
    <td><p>Airplane mode is on. Bluetooth is disabled when airplane mode is on.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-bluetooth-active.svg"/>
        </if:when>
        <media src="figures/topbar-bluetooth-active.svg"/>
      </if:choose>
    </td>
    <td><p>A Bluetooth device is paired and in use.
    This icon is only shown when there is an active device,
    not just whenever Bluetooth is enabled.</p></td>
  </tr>
</table>

<list style="compact">
  <item><p><link xref="net-wireless-airplane">Learn more about airplane mode.</link></p></item>
  <item><p><link xref="bluetooth">Learn more about Bluetooth.</link></p></item>
</list>
</section>


<section id="networkicons">
<info>
<!--
FIXME: I don't want a bare desc, because it ends up in the section links above.
But this section also gets a seealso from net-wireless.page, and we'd like a
desc for that. In Mallard 1.2, we can use role on desc. It works in Yelp, but
it's not in a schema yet, so it will cause validation errors in CI.
  <desc type="link" role="seealso">Explains the meanings of the networking icons in the top bar.</desc>
-->
</info>
<title>Networking icons</title>

<table shade="rows">
  <title>Wireless (Wi-Fi) connections</title>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-airplane-mode.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-airplane-mode.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>Airplane mode is on. Wireless networking is disabled when airplane mode is on.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-network-wireless-acquiring.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-network-wireless-acquiring.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>Connecting to a wireless network.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-network-wireless-strength.svg"/>
        </if:when>
        <media src="figures/topbar-network-wireless-strength.svg"/>
      </if:choose>
    </td>
    <td><p>Indicates the strength of a wireless network connection.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-network-wireless-strength-none.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-network-wireless-strength-none.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>Connected to a wireless network, but there is no signal.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-network-wireless-connected.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-network-wireless-connected.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>Connected to a wireless network. This icon is only shown if the signal
    strength cannot be determined, such as when connecting to ad hoc networks.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-network-wireless-no-route.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-network-wireless-no-route.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>Connected to a wireless network, but there is no route to the internet.
    This could be due to a misconfiguration of your network, or it could be due to
    an outage with your internet service provider.</p></td>
  </tr>
</table>

<list style="compact">
  <item><p><link xref="net-wireless-airplane">Learn more about airplane mode.</link></p></item>
  <item><p><link xref="net-wireless-connect">Learn more about wireless networking.</link></p></item>
</list>

<table shade="rows">
  <title>Cellular networking (mobile broadband)</title>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-airplane-mode.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-airplane-mode.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>Airplane mode is on. Cellular networking is disabled when airplane mode is on.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-network-cellular-acquiring.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-network-cellular-acquiring.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>Connecting to a cellular network.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-network-cellular-signal.svg"/>
        </if:when>
        <media src="figures/topbar-network-cellular-signal.svg"/>
      </if:choose>
    </td>
    <td><p>Indicates the strength of a cellular network connection.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-network-cellular-signal-none.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-network-cellular-signal-none.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>Connected to a cellular network, but there is no signal.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-network-cellular-connected.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-network-cellular-connected.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>Connected to a cellular network. This icon is only shown if the signal
    strength cannot be determined, such as when connecting over Bluetooth. If the
    signal strength can be determined, a signal strength icon is shown instead.</p></td>
  </tr>
</table>

<list style="compact">
  <item><p><link xref="net-wireless-airplane">Learn more about airplane mode.</link></p></item>
  <item><p><link xref="net-mobile">Learn more about cellular networking.</link></p></item>
</list>

<table shade="rows">
  <title>Wired connections</title>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-network-wired-acquiring.svg"/>
        </if:when>
        <media src="figures/topbar-network-wired-acquiring.svg"/>
      </if:choose>
    </td>
    <td><p>Connecting to a wired connection.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-network-wired.svg"/>
        </if:when>
        <media src="figures/topbar-network-wired.svg"/>
      </if:choose>
    </td>
    <td><p>Connected to a wired network.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-network-wired-disconnected.svg"/>
        </if:when>
        <media src="figures/topbar-network-wired-disconnected.svg"/>
      </if:choose>
    </td>
    <td><p>Disconnected from the network.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-network-wired-no-route.svg"/>
        </if:when>
        <media src="figures/topbar-network-wired-no-route.svg"/>
      </if:choose>
    </td>
    <td><p>Connected to a wired network, but there is no route to the internet.
    This could be due to a misconfiguration of your network, or it could be due to
    an outage with your internet service provider.</p></td>
  </tr>
</table>

<list style="compact">
  <item><p><link xref="net-wired-connect">Learn more about wired networking.</link></p></item>
</list>

<table shade="rows">
  <title>VPN (virtual private networking)</title>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-network-vpn-acquiring.svg"/>
        </if:when>
        <media src="figures/topbar-network-vpn-acquiring.svg"/>
      </if:choose>
    </td>
    <td><p>Connecting to a virtual private network.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-network-vpn.svg"/>
        </if:when>
        <media src="figures/topbar-network-vpn.svg"/>
      </if:choose>
    </td>
    <td><p>Connected to a virtual private network.</p></td>
  </tr>
</table>

<list style="compact">
  <item><p><link xref="net-vpn-connect">Learn more about virtual private networks.</link></p></item>
</list>

</section>


<section id="othericons">
<title>Other icons</title>
<table shade="rows">
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-input-method.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-input-method.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>Indicates the keyboard layout or input method currently in use.
    Click to select another layout. The keyboard layout menu is only shown
    if you have multiple input methods configured.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-find-location.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-find-location.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>An app is currently accessing your location.
    You can disable location access from the menu.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-night-light.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-night-light.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>Night light has changed the color temperature of the display
    to reduce eye strain. You can temporarily disable night light from
    the menu.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-media-record.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-media-record.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>You are currently recording a screencast of your entire screen.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-screen-shared.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-screen-shared.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>An app is currently sharing the screen or another window.</p></td>
  </tr>
  <tr>
    <td its:translate="no">
      <if:choose>
        <if:when test="platform:gnome-classic">
          <media src="figures/classic-topbar-thunderbolt-acquiring.svg" style="floatend"/>
        </if:when>
        <media src="figures/topbar-thunderbolt-acquiring.svg" style="floatend"/>
      </if:choose>
    </td>
    <td><p>Connecting to a Thunderbolt device, such as a dock.</p></td>
  </tr>
</table>

<list style="compact">
  <item><p><link xref="keyboard-layouts">Learn more about keyboard layouts.</link></p></item>
  <item><p><link xref="privacy-location">Learn more about privacy and location services.</link></p></item>
  <item><p><link xref="display-night-light">Learn more about night light and color temperature.</link></p></item>
  <item><p><link xref="screen-shot-record">Learn more about screenshots and screencasts.</link></p></item>
</list>

</section>

</page>
